import request from '@/utils/request'

// 查询流程模型列表
export function listFlowModel(query) {
  return request({
    url: '/flow/flowModel/list',
    method: 'get',
    params: query
  })
}

// 查询流程模型详细
export function getFlowModel(id) {
  return request({
    url: '/flow/flowModel/' + id,
    method: 'get'
  })
}

// 新增流程模型
export function addFlowModel(data) {
  return request({
    url: '/flow/flowModel',
    method: 'post',
    data: data
  })
}

// 修改流程模型
export function updateFlowModel(data) {
  return request({
    url: '/flow/flowModel',
    method: 'put',
    data: data
  })
}

// 删除流程模型
export function delFlowModel(id) {
  return request({
    url: '/flow/flowModel/' + id,
    method: 'delete'
  })
}

// 导出流程模型
export function exportFlowModel(query) {
  return request({
    url: '/flow/flowModel/export',
    method: 'get',
    params: query
  })
}